summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2010-05-12 23:32:44 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 23:32:44 +0200
commit190733c329d47a0668f0ee1a0fca93a7b3db6615 (patch)
treef5c9108b694198ae37961661bcb07bbe27529ecd
parenta064d3cbf35c2dbc87ead3a5886ae82d3ec204aa (diff)
downloadslackbuilds-190733c329d47a0668f0ee1a0fca93a7b3db6615.tar.gz
slackbuilds-190733c329d47a0668f0ee1a0fca93a7b3db6615.tar.xz
network/rhapsody: Added to 12.2 repository
-rw-r--r--network/rhapsody/README5
-rw-r--r--network/rhapsody/rhapsody.126
-rw-r--r--network/rhapsody/rhapsody.SlackBuild59
-rw-r--r--network/rhapsody/rhapsody.info8
-rw-r--r--network/rhapsody/slack-desc19
5 files changed, 117 insertions, 0 deletions
diff --git a/network/rhapsody/README b/network/rhapsody/README
new file mode 100644
index 0000000000..e8484b449f
--- /dev/null
+++ b/network/rhapsody/README
@@ -0,0 +1,5 @@
+rhapsody - text console IRC client for Unix operating systems.
+
+Rhapsody is small, fast, portable and easy to use, yet it is full
+featured. The thing that separates it from the crowd is its intuitive
+menu driven user interface.
diff --git a/network/rhapsody/rhapsody.1 b/network/rhapsody/rhapsody.1
new file mode 100644
index 0000000000..fa2e6d6060
--- /dev/null
+++ b/network/rhapsody/rhapsody.1
@@ -0,0 +1,26 @@
+.TH RHAPSODY 1 "April 2009" "Rhapsody @VERSION@"
+.SH NAME
+rhapsody \- light and full\-featured irc client based on ncurses
+.SH SYNOPSIS
+.B rhapsody
+.RI
+.br
+.SH DESCRIPTION
+.B rhapsody
+is a text console irc client which has multi server support, easy to use menu driven interface,
+ignore lists, configurable interface color themes. Supports DCC chat, DCC file transfer and CTCP.
+.P
+.B rhapsody
+takes no command-line arguments.
+.PP
+.SH FILES
+.TP
+/usr/doc/rhapsody-@VERSION@/help/*.hlp
+On\-line help files, accessed within the program via the Help menu option
+(control\-P).
+.TP
+~/.rhapsodyrc
+Per\-user configuration. Normally modified via the menus within the program,
+but may be hand\-edited if necessary.
+.SH AUTHOR
+Marcela Tiznado <mtiznado@linux.org.ar>
diff --git a/network/rhapsody/rhapsody.SlackBuild b/network/rhapsody/rhapsody.SlackBuild
new file mode 100644
index 0000000000..540a248e18
--- /dev/null
+++ b/network/rhapsody/rhapsody.SlackBuild
@@ -0,0 +1,59 @@
+#!/bin/sh
+
+# Slackware build script for rhapsody
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=rhapsody
+VERSION=${VERSION:-0.28b}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+LIBPATH=/usr/lib
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/${PRGNAM}_$VERSION.tgz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+./configure -i /usr/bin -d /usr/doc/$PRGNAM-$VERSION
+make LOCALFLAGS="$SLKCFLAGS"
+strip $PRGNAM
+make install \
+ INSTALLPATH=$PKG/usr/bin \
+ INSTDOCSPATH=$PKG/usr/doc/$PRGNAM-$VERSION
+
+cp README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# Man page borrowed from Ubuntu and modified a bit.
+# rhapsody doesn't really need a man page,
+# but I like the "every binary has a man page" approach...
+mkdir -p $PKG/usr/man/man1
+sed "s/@VERSION@/$VERSION/g" < $CWD/$PRGNAM.1 | \
+ gzip -9c - > $PKG/usr/man/man1/$PRGNAM.1.gz
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/rhapsody/rhapsody.info b/network/rhapsody/rhapsody.info
new file mode 100644
index 0000000000..38be4df9a5
--- /dev/null
+++ b/network/rhapsody/rhapsody.info
@@ -0,0 +1,8 @@
+PRGNAM="rhapsody"
+VERSION="0.28b"
+HOMEPAGE="http://rhapsody.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/rhapsody/rhapsody_0.28b.tgz"
+MD5SUM="0792de636a2625a826491e387fcb1305"
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
+APPROVED="dsomero"
diff --git a/network/rhapsody/slack-desc b/network/rhapsody/slack-desc
new file mode 100644
index 0000000000..fdf6c94423
--- /dev/null
+++ b/network/rhapsody/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+rhapsody: rhapsody (text console IRC client for Unix operating systems)
+rhapsody:
+rhapsody: Rhapsody is small, fast, portable and easy to use, yet it is full
+rhapsody: featured. The thing that separates it from the crowd is its intuitive
+rhapsody: menu driven user interface.
+rhapsody:
+rhapsody:
+rhapsody:
+rhapsody:
+rhapsody:
+rhapsody: